import java.util.Scanner; //import the Scanner class from java.util

public class StudentScannerLoop {

   public static void displayStudents (Student st[] ) {
    System.out.println("\n------------Student info ------------");
    for (int i=0; i < st.length && st[i] != null; i++) {
       System.out.printf("\nstudent #%d:", i+1 );
       System.out.println("Last name = " + st[i].getLastName() );
       System.out.println("First name = " + st[i].getFirstName() );
       System.out.println("ID = " + st[i].getStudentId() );
       System.out.println("GPA = " + st[i].getGpa() );
       System.out.println("Major = " + st[i].getMajor() );
     }//for
 
   } //displayStudents()

   public static void main (String args[] ) {
     //declare and contruct an array of Student
     Student stArray[] = new Student[20]; //stArray is an array of 20 Student objects
     int nextStudent = 0; //an index to the stArray

     Student student = new Student(); //Use the Student() constructor to create a Student object
 
     Scanner input = new Scanner (System.in); //input is an object of Scanner taking keyboard input

     int toContinue = 0; //when toContinue is -1, terminate the loop
     do {
         System.out.print("Last name? ");
         String ln = input.nextLine(); //get the next line of input as the last name
         System.out.print("First name? ");
         String fn = input.nextLine(); //get the next line of input as the first name
         System.out.print("Student id? ");
         String id = input.nextLine(); //get the next line of input as the id
         System.out.print("GPA? ");
         double gpa = input.nextDouble(); //get the next double value as the gpa
         input.nextLine(); //read off the NewLine character from the input buffer
         System.out.print("Major? ");
         String major = input.nextLine(); //get the next line of input as the student's major

         student.setLastName (ln);  
         student.setFirstName (fn);
         student.setStudentId (id);
         student.setGpa (gpa);
         student.setMajor (major);

	 stArray[nextStudent] = student; //add this student to the stArray
	 nextStudent++; // advance the index for storing the next student

	 System.out.print("Enter -1 to quit; enter any other number to continue: ");
	 toContinue = input.nextInt();
         input.nextLine(); //read off the NewLine character from the input buffer
     } while (toContinue != -1);

	//display all the students in the array
     displayStudents (stArray);

   } //main

} //class